commit:     5660e25f87eb819cebf6a88998519f657248a1a1
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 27 09:56:13 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Jul 27 09:56:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5660e25f

x11-terms/st: Fix Makefile sed script (bug #626334).

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 x11-terms/st/st-9999.ebuild | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

diff --git a/x11-terms/st/st-9999.ebuild b/x11-terms/st/st-9999.ebuild
index c57b598bd32..0d922620326 100644
--- a/x11-terms/st/st-9999.ebuild
+++ b/x11-terms/st/st-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -27,20 +27,22 @@ DEPEND="
 "
 
 src_prepare() {
-       eapply_user
+       default
 
-       sed -e '/^CFLAGS/s:[[:space:]]-Wall[[:space:]]: :' \
+       sed -i \
+               -e '/^CFLAGS/s:[[:space:]]-Wall[[:space:]]: :' \
                -e '/^CFLAGS/s:[[:space:]]-O[^[:space:]]*[[:space:]]: :' \
                -e '/^LDFLAGS/{s:[[:space:]]-s[[:space:]]: :}' \
                -e '/^X11INC/{s:/usr/X11R6/include:/usr/include/X11:}' \
                -e "/^X11LIB/{s:/usr/X11R6/lib:/usr/$(get_libdir)/X11:}" \
-               -i config.mk || die
-       sed -e '/@echo/!s:@::' \
+               config.mk || die
+       sed -i \
                -e '/tic/d' \
-               -i Makefile || die
-       tc-export CC
+               Makefile || die
 
        restore_config config.h
+
+       tc-export CC
 }
 
 src_install() {

Reply via email to